# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/leds/leds-max77650.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: LED driver for MAX77650 PMIC from Maxim Integrated.

maintainers:
  - Bartosz Golaszewski <bgolaszewski@baylibre.com>

description: |
  This module is part of the MAX77650 MFD device. For more details
  see Documentation/devicetree/bindings/mfd/max77650.yaml.

  The LED controller is represented as a sub-node of the PMIC node on
  the device tree.

  This device has three current sinks.

properties:
  compatible:
    const: maxim,max77650-led

  "#address-cells":
    const: 1

  "#size-cells":
    const: 0

patternProperties:
  "^led@[0-2]$":
    type: object
    description: |
      Properties for a single LED.

    properties:
      reg:
        description:
          Index of the LED.
        minimum: 0
        maximum: 2

      label: true

      linux,default-trigger: true

required:
  - compatible
  - "#address-cells"
  - "#size-cells"
additionalProperties: false

...
